com.google.cloud.dataflow.examples

## Class DebuggingWordCount.FilterTextFn

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.DoFn<KV<String,Long>,KV<String,Long>>
  - - com.google.cloud.dataflow.examples.DebuggingWordCount.FilterTextFn

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  DebuggingWordCount

    public static class DebuggingWordCount.FilterTextFn
    extends DoFn<KV<String,Long>,KV<String,Long>>

A DoFn that filters for a specific key based upon a regular expression.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.cloud.dataflow.sdk.transforms.DoFn

`DoFn.Context, DoFn.ProcessContext, DoFn.RequiresWindowAccess`

### Constructor Summary

Constructors
Constructor and Description
`FilterTextFn(String pattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `processElement(DoFn.ProcessContext c)`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.DoFn

`createAggregator, createAggregator, finishBundle, getAllowedTimestampSkew, getInputTypeDescriptor, getOutputTypeDescriptor, populateDisplayData, startBundle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterTextFn

    public FilterTextFn(String pattern)

### Method Detail

#### processElement

    public void processElement(DoFn.ProcessContext c)

Specified by:
  `processElement` in class `DoFn<KV<String,Long>,KV<String,Long>>`